import { __decorate } from "tslib";
import { Component } from 'vue-property-decorator';
import { isBoolean, getControl } from 'handie-vue';
import { RelationFilterHeadlessWidget } from 'handie-vue/dist/widgets';
let SelectEditM2mFilterWidget = class SelectEditM2mFilterWidget extends RelationFilterHeadlessWidget {
    constructor() {
        super(...arguments);
        this.options = [];
    }
    render(h) {
        const children = this.options.map(opt => h(getControl('Option'), {
            props: { label: opt[this.labelKey], value: opt[this.valueKey] },
        }));
        const multiple = isBoolean(this.config.multiple) ? this.config.multiple : true;
        children.unshift(h(getControl('Option'), { props: { label: '全部', value: multiple ? [] : '' } }));
        return h(getControl('Select'), {
            props: {
                value: this.internalValue,
                placeholder: this.getPlaceholder(),
                multiple,
            },
            on: { change: this.onChange },
        }, children);
    }
    created() {
        this.fetchRelatedList({}, data => (this.options = data));
    }
};
SelectEditM2mFilterWidget = __decorate([
    Component
], SelectEditM2mFilterWidget);
export default SelectEditM2mFilterWidget;
